Bug 1286424 - git-gui fails to launch gitk
git-gui fails to launch gitk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
23
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 06:15 EST by Jean-Charles Malahieude
Modified: 2016-12-20 11:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:24:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Charles Malahieude 2015-11-29 06:15:56 EST
Description of problem:
gitk launched from git-gui's menu vanishes as soon as it is launched.

Version-Release number of selected component (if applicable):
2.6.3

How reproducible:
Always

Steps to Reproduce:
1. Open a repository with git-gui
2. Menu Repository/Browse history of branch

Actual results:
Instance of gitk vanishes as soon as launched

Expected results:
Have a nice gitk window

Additional info:
Launching git-gui from command line and repo/view history gives:

--8<--
[x@pc1 Lily] (master)$ git gui
Error in startup script: bad menu entry index "Éditer la vue..."
    while executing
".bar.view entryconf [mca "Edit view..."] -state normal"
    invoked from within
"if {$cmdline_files ne {} || $revtreeargs ne {} || $revtreeargscmd ne {}} {
    # create a view for the files/dirs specified on the command line
    se..."
    (file "/usr/bin/gitk" line 12442)

-->8--

Only workaround:
Launching gitk from command line, paying attention to the branch you're on.
Comment 1 Fedora Admin XMLRPC Client 2016-03-16 14:24:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jean-Charles Malahieude 2016-03-17 05:59:36 EDT
A fresh build and install of git 2.7.3 doesn't show the problem any more.
I haven't found what has changed about it.
Comment 3 pstodulk 2016-03-17 06:27:49 EDT
Thanks Jean for info. I will not promise patch soon  due to missing time. I guess that it will be during April.
Comment 4 Fedora End Of Life 2016-11-24 08:49:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:24:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.